Skip to main content
POST
/
v1
/
users
/
invite
Invite
curl --request POST \
  --url https://api.cadanapay.com/v1/users/invite \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
  "suppressWelcomeEmail": false,
  "returnLink": false
}
'
import requests

url = "https://api.cadanapay.com/v1/users/invite"

payload = {
"personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"suppressWelcomeEmail": False,
"returnLink": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
personId: '8ef9a712-cdae-4110-b1ea-9ba95abbee6e',
suppressWelcomeEmail: false,
returnLink: false
})
};

fetch('https://api.cadanapay.com/v1/users/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "userId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
}
{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}
{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Body

application/json

Invite user request payload

personId
string<uuid>
required
Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"

suppressWelcomeEmail
boolean
default:false

Whether you want to suppress the welcome email with the sign up link

Whether you want to get the unique sign up link in the api response

Response

invite user response

Invite user response

userId
string<uuid>
Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"